import { ElementRef, EventEmitter, OnInit } from '@angular/core';
export declare class OptionComponent implements OnInit {
    private element;
    value: any;
    onSelect: EventEmitter<any>;
    disabled: boolean;
    set setDisabled(value: boolean);
    selected: boolean;
    set setSelected(value: boolean);
    readonly role = "option";
    contentElement: ElementRef<HTMLElement>;
    private _focused;
    constructor(element: ElementRef<HTMLElement>);
    ngOnInit(): void;
    get tabindex(): number;
    get focused(): boolean;
    onFocus(): void;
    onBlur(): void;
    onEnter(event: KeyboardEvent): void;
    onClick(): void;
    updateSelection(value: boolean): void;
    select(): void;
    focus(): void;
}
